Subject: RE: authmgr?

From: "Nixon, Anthony" <[email-masked]>
Date: Mon, 15 May 2000 12:08:55 -0400

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

Yes. I have tried both auth 7777/tcp and authsrv 7777/tcp. At this moment
they both exist in the services file pointed to the same port (7777/tcp). I
get Connection closed by foreign host every time whether telneting locally
or from another system. I also added -auth to the telnet section of the
netperm-table to see what would happen. I get the same result - Connection
closed by foreign host. When I remove the switch, telnet works fine.

> -----Original Message-----
> From: Ted Keller [mailto:[email-masked]]
> Sent: Monday, May 15, 2000 11:51 AM
> To: Nixon, Anthony
> Cc: 'Rick Murphy'; [email-masked]'
> Subject: RE: authmgr?
> 
> 
> Anthony,
> 
> Do you have auth defined as port 7777 in your /etc/services file?
> 
> ted keller
> 
> 
> On Mon, 15 May 2000, Nixon, Anthony wrote:
> 
> > [To be removed from this list send the message "unsubscribe 
> fwtk-users" in the
> > BODY of a mail message to [email-masked].]
> > 
> > You are correct about telneting into authsrv. I tried 
> 'telnet localhost
> > 7777' and got connection refused. When telneting locally 
> without specifying
> > the port (telnet localhost), I got in. My inetd.conf file 
> reads as such for
> > auth:
> > 
> > auth  stream  tcp  wait  root  /usr/local/etc/authsrv  authsrv
> > 
> > I have also tried changing it to:
> > 
> > authsrv  stream  tcp  wait  root  /usr/loca/etc/authsrv  authsrv
> > 
> > and when I did, telneting into localhost 7777 locked up the 
> system. When
> > performing a netstat -a, I do see auth 'LISTENING' along 
> with http, telnet,
> > and ftp-gw. I have rebooted several times, restarted the 
> inetd daemon, and
> > kill -HUP # (ps -A reported inetd as pid 591), etc. Is my inetd.conf
> > statement correct (the upper statement)? Again, thanks very 
> much for your
> > help Rick.
> > 
> > > -----Original Message-----
> > > From: Rick Murphy [mailto:[email-masked]]
> > > Sent: Friday, May 12, 2000 10:03 PM
> > > To: Nixon, Anthony
> > > Cc: [email-masked]'
> > > Subject: RE: authmgr?
> > > 
> > > 
> > > At 12:01 PM 5/12/00 -0400, Nixon, Anthony wrote:
> > > >I did. That section of the netperm-table file actually reads:
> > > 
> > > OK, but what about the other questions:
> > > 
> > > > > How are you running authsrv? What happens when you 'telnet
> > > > > localhost 7777'?
> > > > >          -Rick
> > > > >
> > > If your netperm-table is set up right, then you probably 
> don't have 
> > > anything listening on the authsrv port - either your 
> > > inetd.conf line for 
> > > authsrv is wrong or you haven't HUP'd inetd.
> > >          -Rick
> > > 
> > 
>